package HelloWorld;

import javax.ejb.*;
import java.rmi.RemoteException;

import java.util.*;
import java.io.*;

/**
 * The home interface for a Session Enterprise Java Bean. This interface is defined by
 * the bean developer, and implemented in a class created by the bean container.
 * This interface must extend javax.ejb.EJBHome, and contain at least one method: a
 * create() method with no arguments, returning a reference to a client-side object
 * implementing the EJB's remote interface.
 * The bean developer may add other create methods, if the EJB is stateful. Their
 * arguments and return values must be types that are valid for Java RMI, and
 * their throws clauses must include RemoteException. Each create method defined here
 * must match the argument types and throws clause of an ejbCreate method in the
 * enterprise bean class.
 */
public interface IHelloHome extends EJBHome
{
    /**
     * Called from the client side to cause the EJB container to create an instance of the
     * bean class whose home interface this is, and to return a reference to it in the form
     * of a reference to the EJB's remote interface.
     * This is the default create method, and it is required for all Session EJBs. It is
     * the only create method permitted for stateless session beans.
     * @return the remote interface
     * @exception RemoteException if there are problems with remote method invocation
     * @exception CreateException if there are problems creating an instance of the bean
     */
    public IHello create() throws CreateException, java.rmi.RemoteException;
}
